--- httpd-2.4.10/modules/generators/mod_suexec.c.old	2011-12-05 01:08:01.000000000 +0100
+++ httpd-2.4.10/modules/generators/mod_suexec.c	2014-09-11 00:16:21.444000009 +0200
@@ -59,7 +59,7 @@
                                    const char *uid, const char *gid)
 {
     suexec_config_t *cfg = (suexec_config_t *) mconfig;
-    const char *err = ap_check_cmd_context(cmd, NOT_IN_DIR_LOC_FILE);
+    const char *err = ap_check_cmd_context(cmd, NOT_IN_LOCATION|NOT_IN_FILES);
 
     if (err != NULL) {
         return err;
@@ -116,7 +116,7 @@
 {
     /* XXX - Another important reason not to allow this in .htaccess is that
      * the ap_[ug]name2id() is not thread-safe */
-    AP_INIT_TAKE2("SuexecUserGroup", set_suexec_ugid, NULL, RSRC_CONF,
+    AP_INIT_TAKE2("SuexecUserGroup", set_suexec_ugid, NULL, RSRC_CONF|ACCESS_CONF,
       "User and group for spawned processes"),
     { NULL }
 };
--- httpd-2.4.10/support/suexec.c.old	2014-10-10 11:48:20.388000025 +0200
+++ httpd-2.4.10/support/suexec.c	2014-10-10 11:50:30.757000025 +0200
@@ -308,6 +308,7 @@
 #ifdef AP_SUEXEC_UMASK
         fprintf(stderr, " -D AP_SUEXEC_UMASK=%03o\n", AP_SUEXEC_UMASK);
 #endif
+        fprintf(stderr, " -D AP_PER_DIR=\"yes\"\n");
 #ifdef AP_UID_MIN
         fprintf(stderr, " -D AP_UID_MIN=%d\n", AP_UID_MIN);
 #endif
